﻿using Newtonsoft.Json;
using esoft.Class;
using esoft.Entities;
using esoft.Models.Respounce;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace esoft.Pages
{
    /// <summary>
    /// Логика взаимодействия для LoginPage.xaml
    /// </summary>
    public partial class LoginPage : Page
    {
        ActualContext actualContext = new ActualContext();
        public LoginPage()
        {
            InitializeComponent();
        }

        private void BtnLogin_Click(object sender, RoutedEventArgs e)
        {

            // Получение логина и пароля из текстовых полей
            string username = TBoxLogin.Text;
            string password = PBoxPassword.Password;

            using (var context = new esoftEntities())
            {
                // Поиск пользователя по введенному логину
                var user = context.User.FirstOrDefault(u => u.Login == username);

                if (user != null && user.Password == password)
                {
                    // Устанавливаем текущего пользователя
                    GetCurrent.CurrentUser = user;

                    // Перенаправление пользователя на страницу с задачами
                    NavigationService.Navigate(new Pages.TaskLists());
                }
                else
                {
                    // Ошибка авторизации
                    MessageBox.Show("Ошибка авторизации. Пожалуйста, проверьте логин и пароль.");
                }
            }
        }
    }
}
